Subject: [bug#45919] [PATCH 0/8] Exporting a manifest and channels from a profile

From: Pierre Neidhardt <[email-masked]>
Date: Fri, 29 Jan 2021 22:51:57 +0100

zimoun <[email-masked]> writes:

>> I just had a cursory look, and my main concern is that maybe exposing
>> commands is one more thing to learn for the user, and one more step to
>> run to get a simple file.
>>
>> Instead, what about doing what system profiles already do with
>>
>>   /run/current-system/channels.scm
>>   /run/current-system/configuration.scm
>>
>> and store the result of the proposed commands directly in
>> $PROFILE/channels.scm and $PROFILE/manifest-spec.scm, on each profile
>> upgrade?
>
> If I understand correctly, Pierre, you are proposing 2 things: 1) only
> one command and 2) export by default in $PROFILE.  Right?
>
> Yeah, sounds a good idea to me.  Even if #2 seems a bit of re-work for
> the patch set. :-)

Sorry, misunderstanding :)
I'm proposing:

1) Zero command :p

2) On every profile modification (install, upgrade, removal), store the
channel description and the manifest specification (as produced by this
patch commands) to $GUIX_PROFILE/channels.scm and
$GUIX_PROFILE/manifest-spec.scm, respectively.

($GUIX_PROFILE being the target profile, of course.)

Does that make more sense?

-- 
Pierre Neidhardt
https://ambrevar.xyz/